Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.platform
Interface AblePersistenceSupportProcessor

All Known Implementing Classes:
  RmiAgentLifeCycleSystem, RmiAgentLoggingSystem, RmiPlatformSupportServiceSystem, RMIVerifiableDirectorySystem, RMIVerifiableNamingSystem

public interface AblePersistenceSupportProcessor

This interface must be implemented by all objects wishing to interface with the AblePersistenceSupport object.

This is the interface used by the PersistenceSupport Object to callback the persisted information to an implementation of this interface.

Method Summary
`void` | `refreshLocalFromPersistence(AblePersistenceSupport thePersistenceSupport, java.lang.Object[] persistedRecords)` Takes the persisted Objects that are read in, and sets them locally.

Method Detail

### refreshLocalFromPersistence

    public void refreshLocalFromPersistence(AblePersistenceSupport thePersistenceSupport,
                                            java.lang.Object[] persistedRecords)
                                     throws java.lang.Exception

  Takes the persisted Objects that are read in, and sets them locally.

  This method is called one time during the lifetime of this AblePersistenceSupportProcessor Object. This method will be called the first time a successful connection is made to the PlatformPersistenceService and the persisted Objects are read in.

  Parameters:
    `thePersistenceSupport` - the object making the callback so that the processor can tell which AblePersistenceSupport object is making the call.

    `persistedRecords` - Object[] containing all of the rows of the table this Object persists to.

  Throws:
    `java.lang.Exception` - On any error locally restoring the persisted data.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005